import Vue from 'vue'
import dayjs from 'dayjs'

/** 时间戳 */
Vue.filter('dayjs', (val, pattern = 'YYYY-MM-DD HH:mm:ss') => {
  if (!val) return ''
  return dayjs(Number(val)).format(pattern)
})

/** 时间前的问题 */
Vue.filter('dayFront', val => {
  if (!val) return ''
  const time = dayjs(Number(val))
  if (time.format('HH:mm:ss') === '00:00:00') {
    return time
      .startOf('day')
      .subtract(1, 'days')
      .format('YYYY年MM月DD日24点前')
  } else {
    return time.format('YYYY年MM月DD日HH点前')
  }
})
